Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGPointList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGPointList

All Implemented Interfaces:
  org.w3c.dom.svg.SVGPointList

Direct Known Subclasses:
  SVGOMAnimatedPoints.AnimSVGPointList, SVGOMAnimatedPoints.BaseSVGPointList

    public abstract class AbstractSVGPointList

extends AbstractSVGList
implements org.w3c.dom.svg.SVGPointList

Abstract implementation of `SVGPointList`.

Nested Class Summary
`protected class` | `AbstractSVGPointList.PointsListBuilder` Helper class to interface the `PointsParser` and the `PointsHandler`.
`protected class` | `AbstractSVGPointList.SVGPointItem` An `SVGPoint` in the list.

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary
`static String` | `SVG_POINT_LIST_SEPARATOR` Separator for a point list.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Constructor Summary
`AbstractSVGPointList()`

Method Summary
`org.w3c.dom.svg.SVGPoint` | `appendItem(org.w3c.dom.svg.SVGPoint newItem)` DOM: Implements `SVGPointList.appendItem(SVGPoint)`.
`protected void` | `checkItemType(Object newItem)` Asserts that the given item is an `SVGPoint`.
`protected abstract org.w3c.dom.svg.SVGException` | `createSVGException(short type, String key, Object[] args)` Create an SVGException when the checkItemType fails.
`protected SVGItem` | `createSVGItem(Object newItem)` Creates a new `SVGItem` object from the given `SVGPoint`.
`protected void` | `doParse(String value, ListHandler handler)` Parses the 'points' attribute.
`org.w3c.dom.svg.SVGPoint` | `getItem(int index)` DOM: Implements `SVGPointList.getItem(int)`.
`protected String` | `getItemSeparator()` Return the separator between points in the list.
`org.w3c.dom.svg.SVGPoint` | `initialize(org.w3c.dom.svg.SVGPoint newItem)` DOM: Implements `SVGPointList.initialize(SVGPoint)`.
`org.w3c.dom.svg.SVGPoint` | `insertItemBefore(org.w3c.dom.svg.SVGPoint newItem, int index)` DOM: Implements `SVGPointList.insertItemBefore(SVGPoint,int)`.
`org.w3c.dom.svg.SVGPoint` | `removeItem(int index)` DOM: Implements `SVGPointList.removeItem(int)`.
`org.w3c.dom.svg.SVGPoint` | `replaceItem(org.w3c.dom.svg.SVGPoint newItem, int index)` DOM: Implements `SVGPointList.replaceItem(SVGPoint,int)`.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, createDOMException, getItemImpl, getNumberOfItems, getValueAsString, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, resetAttribute, resetAttribute, revalidate, setAttributeValue, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGPointList
`clear, getNumberOfItems`

Field Detail

### SVG_POINT_LIST_SEPARATOR

    public static final String SVG_POINT_LIST_SEPARATOR

  Separator for a point list.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractSVGPointList

    public AbstractSVGPointList()

Method Detail

### getItemSeparator

    protected String getItemSeparator()

  Return the separator between points in the list.

  Specified by:
    `getItemSeparator` in class `AbstractSVGList`

### createSVGException

    protected abstract org.w3c.dom.svg.SVGException createSVGException(short type,
                                                                       String key,
                                                                       Object[] args)

  Create an SVGException when the checkItemType fails.

  Returns:
    SVGException

### initialize

    public org.w3c.dom.svg.SVGPoint initialize(org.w3c.dom.svg.SVGPoint newItem)
                                        throws DOMException,
                                               org.w3c.dom.svg.SVGException

  DOM: Implements `SVGPointList.initialize(SVGPoint)`.

  Specified by:
    `initialize` in interface `org.w3c.dom.svg.SVGPointList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### getItem

    public org.w3c.dom.svg.SVGPoint getItem(int index)
                                     throws DOMException

  DOM: Implements `SVGPointList.getItem(int)`.

  Specified by:
    `getItem` in interface `org.w3c.dom.svg.SVGPointList`
  Throws:
    `DOMException`

### insertItemBefore

    public org.w3c.dom.svg.SVGPoint insertItemBefore(org.w3c.dom.svg.SVGPoint newItem,
                                                     int index)
                                              throws DOMException,
                                                     org.w3c.dom.svg.SVGException

  DOM: Implements `SVGPointList.insertItemBefore(SVGPoint,int)`.

  Specified by:
    `insertItemBefore` in interface `org.w3c.dom.svg.SVGPointList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### replaceItem

    public org.w3c.dom.svg.SVGPoint replaceItem(org.w3c.dom.svg.SVGPoint newItem,
                                                int index)
                                         throws DOMException,
                                                org.w3c.dom.svg.SVGException

  DOM: Implements `SVGPointList.replaceItem(SVGPoint,int)`.

  Specified by:
    `replaceItem` in interface `org.w3c.dom.svg.SVGPointList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### removeItem

    public org.w3c.dom.svg.SVGPoint removeItem(int index)
                                        throws DOMException

  DOM: Implements `SVGPointList.removeItem(int)`.

  Specified by:
    `removeItem` in interface `org.w3c.dom.svg.SVGPointList`
  Throws:
    `DOMException`

### appendItem

    public org.w3c.dom.svg.SVGPoint appendItem(org.w3c.dom.svg.SVGPoint newItem)
                                        throws DOMException,
                                               org.w3c.dom.svg.SVGException

  DOM: Implements `SVGPointList.appendItem(SVGPoint)`.

  Specified by:
    `appendItem` in interface `org.w3c.dom.svg.SVGPointList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### createSVGItem

    protected SVGItem createSVGItem(Object newItem)

  Creates a new `SVGItem` object from the given `SVGPoint`.

  Specified by:
    `createSVGItem` in class `AbstractSVGList`
  Parameters:
    `newItem` - the SVG object
  Returns:
    the newly created `SVGItem` object

### doParse

    protected void doParse(String value,
                           ListHandler handler)
                    throws ParseException

  Parses the 'points' attribute.

  Specified by:
    `doParse` in class `AbstractSVGList`
  Parameters:
    `value` - 'points' attribute value
    `handler` - point list handler
  Throws:
    `ParseException`

### checkItemType

    protected void checkItemType(Object newItem)
                          throws org.w3c.dom.svg.SVGException

  Asserts that the given item is an `SVGPoint`.

  Specified by:
    `checkItemType` in class `AbstractSVGList`
  Throws:
    `org.w3c.dom.svg.SVGException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.